<?php

class formWidgetContentImagegridOptions extends cmsForm {

    public function init($options=false) {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(
                    
                    new fieldList('options:album_id', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_ALBUMID,
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentItems('albums');

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        }
                    )),
                            
                    new fieldCheckbox('options:show_widget_title', array(
                       'title' =>  LANG_WD_CONTENT_IMAGEGRID_WDWRAPPER,
                    )),
        
                    new fieldNumber('options:w768raws', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_W768RAWS,
                        'default' => 3,
                        'hint' => LANG_WD_CONTENT_IMAGEGRID_W768HINT,
                        'rules' => array(
                            array('required')
                        )
                    )),
                            
                    new fieldNumber('options:w768columns', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_W768COLUMNS,
                        'default' => 7,
                        'rules' => array(
                            array('required')
                        )
                    )),
                            
                    new fieldNumber('options:w320raws', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_W320RAWS,
                        'default' => 2,
                        'hint' => LANG_WD_CONTENT_IMAGEGRID_W320HINT,
                        'rules' => array(
                            array('required')
                        )
                    )),
                            
                    new fieldNumber('options:w320columns', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_W320COLUMNS,
                        'default' => 4,
                        'rules' => array(
                            array('required')
                        )
                    )),

                )
            ), 
                            
            array(
                'type' => 'fieldset',
                'title' => LANG_WD_CONTENT_IMAGEGRID_ANIMATIONOPTION,
                'childs' => array(
       
                    new fieldNumber('options:step', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_STEP,
                        'default' => -1,
                        'hint' => LANG_WD_CONTENT_IMAGEGRID_STEPSHINT,
                        'rules' => array(
                            array('required')
                        )
                    )),
                    
                    new fieldListMultiple('options:animation_types', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_ANIMATION,
                        'items' => array(
                            'showHide' => LANG_WD_CONTENT_IMAGEGRID_SHOWHIDE,
                            'fadeInOut' => LANG_WD_CONTENT_IMAGEGRID_FADEINOUT,
                            'slideLeft' => LANG_WD_CONTENT_IMAGEGRID_SLIDELEFT,
                            'slideRight' => LANG_WD_CONTENT_IMAGEGRID_SLIDERIGHT,
                            'slideTop' => LANG_WD_CONTENT_IMAGEGRID_SLIDETOP,
                            'slideBottom' => LANG_WD_CONTENT_IMAGEGRID_SLIDEBOTTOM,
                            'rotateLeft' => LANG_WD_CONTENT_IMAGEGRID_ROTATELEFT,
                            'rotateRight' => LANG_WD_CONTENT_IMAGEGRID_ROTATERIGHT,
                            'rotateTop' => LANG_WD_CONTENT_IMAGEGRID_ROTATETOP,
                            'rotateBottom' => LANG_WD_CONTENT_IMAGEGRID_ROTATEBOTTOM,
                            'scale' => LANG_WD_CONTENT_IMAGEGRID_SCALE,
                            'rotate3d' => LANG_WD_CONTENT_IMAGEGRID_ROTATE3D,
                            'rotateLeftScale' => LANG_WD_CONTENT_IMAGEGRID_ROTATELEFTSCALE,
                            'rotateRightScale' => LANG_WD_CONTENT_IMAGEGRID_ROTATERIGHTSCALE,
                            'rotateTopScale' => LANG_WD_CONTENT_IMAGEGRID_ROTATETOPSCALE,
                            'rotateBottomScale' => LANG_WD_CONTENT_IMAGEGRID_ROTATEBOTTOMSCALE,
                        )
                    )),
      
                    new fieldNumber('options:animation_speed', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_ANISPEED,
                        'default' => 500,
                        'rules' => array(
                            array('required')
                        )
                    )), 
                            
                    new fieldNumber('options:interval', array(
                        'title' => LANG_WD_CONTENT_IMAGEGRID_INTERVAL,
                        'default' => 3000,
                        'rules' => array(
                            array('required')
                        )
                    )),

                )
            ),                

        );

    }

}
